Slug Endpoints ============== .. |location_slugpage| raw:: html https://cloud.syminet.com/slices/slugs ↗ These are some special endpoints intended for referencing slug names for JSON payloads in the API. They are public endpoints which do not require authentication. .. Important:: **There is also an API slug reference page in the panel**: |location_slugpage| Regions ------- **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/slices/regions Return a list of regions, including the slug to be used for the``region`` property of JSON payloads when creating and rebuilding slices. .. code-block:: shell :caption: Curl curl --request GET --url https://cloud.syminet.com/api/v1/slices/regions **Response:** JSON payload. The response is very simple, two properties each: description Longer description. region ``region`` slug for creating new slices. .. code-block:: json :caption: Example JSON { "description": "San Francisco", "region": "SFO1" } Slice Distribution Images ------------------------- **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/slices/sizes Return a list of OS Distribution images, including the slug to be used for the``os_name`` property of JSON payloads when creating and rebuilding slices. .. code-block:: shell :caption: Curl curl --request GET --url https://cloud.syminet.com/api/v1/slices/dists **Response:** JSON payload. The response is very simple, two properties each: legacy If == "true", then this is an older unsupported distribution. Use at your own risk, as these are no longer receiving security updates. os_name ``os_name`` slug that can be used in API JSON payloads when creating and rebuilding slices. They are self-explanatory, e.g. "debian12". We currently use names from the ``osinfo-query`` program, see https://libosinfo.org .. code-block:: json :caption: Example JSON { "legacy" : null, "os_name" : "debian12" }, Slice Sizes ----------- **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/slices/sizes Return a list of slice sizes, including the slug to be used for the ``size`` property of JSON payloads when creating and rebuilding slices. .. code-block:: shell :caption: Curl curl --request GET --url https://cloud.syminet.com/api/v1/slices/sizes **Response:** JSON payload. There is a JSON object returned for each type of slice: * standard * high_cpu * high_memory * high_disk Each of these types contain the same following properties for each slice plan: disk Integer, disk size in GB. hourly Float, hourly rate. monthly Integer, monthly cap rate. ram Integer, RAM in GB, slug ``size`` slug for API calls to create, resize and rebuild slices, e.g. ``s-8gb``, transfer Integer, outbound public bandwidth in GB., vcpu Integer, number of CPU cores. .. code-block:: json :caption: Example JSON { "disk" : 200, "hourly" : 0.1027, "monthly" : 68, "ram" : 12, "slug" : "s-12gb", "transfer" : 4750, "vcpu" : 4 },